Package org.apache.sling.engine

# Class ResponseUtil

java.lang.Object
org.apache.sling.engine.ResponseUtil

@Deprecated public class ResponseUtil extends Object
Deprecated.
Use `ResponseUtil`
Response-related utilities.

## Constructor Summary

Constructors
Constructor
Description
`ResponseUtil()`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`static String`
`escapeXml(String input)`
Deprecated.
Escape xml text
`static Writer`
`getXmlEscapingWriter(Writer target)`
Deprecated.
Return a Writer that writes escaped XML text to target

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ResponseUtil

public ResponseUtil()
Deprecated.

## Method Details

### escapeXml

public static String escapeXml(String input)
Deprecated.
Escape xml text

Parameters:
  `input` - The text to escape
Returns:
  The escaped text.

### getXmlEscapingWriter

public static Writer getXmlEscapingWriter(Writer target)
Deprecated.
Return a Writer that writes escaped XML text to target

Parameters:
  `target` - The writer to wrap
Returns:
  The wrapped writer